CREATE TABLE cso_qrtz_triggers (
    TRIGGER_NAME      VARCHAR2(800) ,
    TRIGGER_GROUP     VARCHAR2(800) ,
    JOB_NAME          VARCHAR2(800)     NOT NULL,
    JOB_GROUP         VARCHAR2(800)     NOT NULL,
    DESCRIPTION       VARCHAR2(1000),
    NEXT_FIRE_TIME    NUMBER        ,
    PREV_FIRE_TIME    NUMBER        ,
    PRIORITY          NUMBER        ,
    TRIGGER_STATE     VARCHAR2(64)      NOT NULL,
    TRIGGER_TYPE      VARCHAR2(32)      NOT NULL,
    START_TIME        NUMBER            NOT NULL,
    END_TIME          NUMBER        ,
    CALENDAR_NAME     VARCHAR2(800) ,
    MISFIRE_INSTR     NUMBER        ,
    JOB_DATA          BLOB          ,
    SCHED_NAME        VARCHAR2(480) ,
    TRIGGER_NAME      VARCHAR2(800) ,
    TRIGGER_GROUP     VARCHAR2(800) ,
    JOB_NAME          VARCHAR2(800)     NOT NULL,
    JOB_GROUP         VARCHAR2(800)     NOT NULL,
    DESCRIPTION       VARCHAR2(1000),
    NEXT_FIRE_TIME    NUMBER        ,
    PREV_FIRE_TIME    NUMBER        ,
    PRIORITY          NUMBER        ,
    TRIGGER_STATE     VARCHAR2(64)      NOT NULL,
    TRIGGER_TYPE      VARCHAR2(32)      NOT NULL,
    START_TIME        NUMBER            NOT NULL,
    END_TIME          NUMBER        ,
    CALENDAR_NAME     VARCHAR2(800) ,
    MISFIRE_INSTR     NUMBER        ,
    JOB_DATA          BLOB          ,
    SCHED_NAME        VARCHAR2(480) ,
    CONSTRAINT pk_cso_qrtz_triggers PRIMARY KEY (TRIGGER_NAME, TRIGGER_GROUP, SCHED_NAME, TRIGGER_NAME, TRIGGER_GROUP, SCHED_NAME)
);
